int main (){
    char shellcode[] = 
        "\xeb\x72\x41\x58\x4d\x89\xc6\x4d\x31\xc9\x45\x8a\x08\x4d\x31\xd2\x49\xff\xc6\x49\xff\xc2\x49\x83\xe9\x01\x75\xf4\x48\x31\xc0\x48\x31\xd2\x31\xf6\x66\xb8\xf2\xff\x66\x35\xf0\xff\x66\xba\xff\x01\x66\xbe\x42\x02\x4c\x89\xf7\x0f\x05\x49\x89\xc7\x48\x31\xc0\x48\xff\xc0\x4c\x89\xc6\x4c\x89\xff\x4c\x89\xd2\x48\xff\xc6\x48\xff\xca\x0f\x05\x48\x31\xc0\x48\xff\xc0\x48\xff\xc0\x48\xff\xc0\x4c\x89\xff\x0f\x05\x48\x31\xc0\x66\xb8\x3d\xff\x66\x2d\x01\xff\x48\x31\xff\x0f\x05\xe8\x89\xff\xff\xff"
        "\x0a"  // size byte
        "hi there!" // file content
        "/tmp/bauman"  ;
    
    void (*func_) (void);
    func_ = (void*) shellcode;
    func_();
    return 7;  // This line should not occur
}
